<%
 # PostCategory
 singular_model_name = model_name
 # PostCategories
 plural_model_name = model_name.pluralize.camelize
 # postCategory
 singular_lower_model_name = model_name.camelize(:lower)
 # postCategories
 plural_lower_model_name = model_name.pluralize.camelize(:lower)

%>import Base from './Base'
import <%= model_name %> from '../../classes/models/<%= model_name %>'

export default {
  state: {
    /** @type {<%= singular_model_name %>[]} */
    <%= plural_lower_model_name %>: [],
  },
  mutations: {
    reset<%= plural_model_name %>: Base.mutations.resetState('<%= plural_lower_model_name %>'),
    set<%= singular_model_name %>: Base.mutations.setEntity('<%= plural_lower_model_name %>'),
    delete<%= singular_model_name %>: Base.mutations.deleteEntity('<%= plural_lower_model_name %>'),
  },
  actions: {
    load<%= plural_model_name %>: Base.actions.loadEntities(<%= model_name %>, 'set<%= singular_model_name %>'),
    load<%= singular_model_name %>: Base.actions.loadEntity(<%= model_name %>, 'set<%= singular_model_name %>'),
    create<%= singular_model_name %>: Base.actions.createEntity(<%= model_name %>, 'set<%= singular_model_name %>', '<%=singular_lower_model_name %>'),
    update<%= singular_model_name %>: Base.actions.updateEntity(<%= model_name %>, 'set<%= singular_model_name %>', '<%=singular_lower_model_name %>'),
    save<%= singular_model_name %>: Base.actions.saveEntity('create<%= singular_model_name %>', 'update<%= singular_model_name %>'),
    destroy<%= singular_model_name %>: Base.actions.destroyEntity(<%= model_name %>, 'delete<%= singular_model_name %>'),
  },
  getters: {
    // FIXME: Validate sort name
    <%=plural_lower_model_name %>: Base.getters.entities('<%= plural_lower_model_name %>', 'name'),
    <%=singular_lower_model_name %>: Base.getters.entity('<%= plural_lower_model_name %>'),
    // FIXME: Validate search field
    search<%=plural_model_name %>: Base.getters.search('<%= plural_lower_model_name %>', 'name'),
  },
}
